import { useResource } from "@/modules/resource";
import { useQueditor } from "@queenjs-modules/queditor";
import FormUI, { ColumnItem } from "@queenjs/components/FormUI";
import { set } from "lodash";
import { defineUI } from "queenjs";

const bgColumns: ColumnItem[] = [
  {
    label: "缩放",
    dataIndex: "background.image",
    component: "Slider",
    props: {
      max: 2,
      min: 0.1,
    },
  },
  {
    label: "位置",
    dataIndex: "background.image",
    component: "Slider",
    props: {
      max: 2,
      min: 0.1,
    },
  },
  {
    label: "旋转",
    dataIndex: "background.image",
    component: "Slider",
    props: {
      max: 2,
      min: 0.1,
    },
  },
];

export default defineUI({
  setup() {
    const resource = useResource();
    const queditor = useQueditor();

    function changeVal(e: { dataIndex: string; value: any }) {
      set({}, e.dataIndex, e.value);
    }

    return () => {
      return (
        <div class="w-300px flex flex-col">
          <div class="p-15px text-16px text-white border-dark-800 border-0 border-b-1 border-solid">
            属性编辑
          </div>
          <div class="py-15px flex-1 overflow-y-auto scrollbar">
            <FormUI data={{}} columns={bgColumns} onChange={changeVal} />
          </div>
        </div>
      );
    };
  },
});
